# Ascendant design doc
# Polls
Polecat.
Current poll: What races should be in the game? ~18
What dispositions?
What moods?
What crafting mats?
# Story (fluff)
## Lore 
800 (or 1300, I just like those numbers) years ago, humanity was on the brink of destruction. Without a speciality, they were scorned, known as the unloved race, subjugated and downtrodden. On the brink of destruction, a small number of human wizards crafted a wild spell, and guided the remnants into a portal, where they were never heard from again...
In truth, the honoured divine beings of today, that stand above all others, shapeshifting and engaging as they see fit, the "visible gods"†, are those same humans, matured and changed by the divine realm they had found themselves in. This is a secret they keep for fear of reigniting that spark of hatred.
†Should put some effort into making a language for this game, so that can be used as a proper noun/title and sound exotic. Although 見え神 (miegami) is exotic enough.
## Plot
Should there be a plot? Preferably each player walks a different path. Can be done with a few base plotlines (a la Age of Wushu) ~~or, better, a backstory importer + dynamic generation. TODO: Detail that.~~ I'm retarded, ascendants don't have a backstory. They start the game when they're born. Circumstances changing over time should inherently create different plots; we have to go that fancy. Waifus have backstories though.
Could just have some "regular demon invasion" baseline instead and dedicate all story to waifus.
# Characters 
How will characters work? Need to define what attributes each character has and enumerate their values so that we can see how many possible characters there are; aiming for millions.
## Races
Note these aren't grouped by faction, just by type, currently.
### Avians
Harpies
Fairies
Birdgirls [wings on back instead of arms]
### Scaled
Lamias
Lizards
### Equines
Minotaurs
Centaurs
### Fantasy
Elves?
Orcs
Succubus
Oni
### Weird
Spiders
Plants
### Misc.
Golems
Cyclops
Dragons?
Yukionna
## No "named" characters
That means no tutorial fairy or any of that rubbish. The game can still have tips presented without a cute mascot character (or one that canonically doesn't exist), but because of the mentoring system tutorials shouldn't be that important anyway.
### Voices
めんどくさい… But necessary. Need to figure out how to make this not suck. Maybe a different (fictional) language for each race, or group of races, as a baseline. Then whole staff doing ~3 voices each, play with some pitch-shifting, etc.
### Dispositions
Every character has a primary and a secondary disposition; secondary's lines come out occasionally, more if their mood is close to it.
Enumerate: Cheery, stoic, sullen, irritable, laid-back, caring/motherly, genki
## Rooms
Each ascendant has their own pocket dimension space (which can be accessed from anywhere, and will serve as a home screen) for their harem to live in. Each room can house up to 3 adults and 3 children, once it is sufficiently furnished. Players start with 0 rooms, but have two "flex rooms" where anyone can live (3 adults, 0 children) at minimum comfort. This is just divine magic blah blah. Acquiring furniture is a gacha, each bit of furniture satisfies needs for some race or group or races, takes up space, and sometimes makes things harder for other races (eg. heating/cooling). Players will be given some amount of furniture at the start based on their starting location. TODO: Make list of furniture.
## Breeding ( ͡° ͜ʖ ͡°) and shapeshifting
Ascendant can shape-shift. Starts with human forms of both sexes, picked from ~5 of each. Also starts with one form of their chosen starting location, one sex. Acquires new forms by getting intimate with other races (earns XP until unlock). Humans can get intimate and breed with all races, all other races have limited compatibility.
Ascendant's forms are always max power of that race. Probably max in all stats (impossible for mortals, who also have a global stat cap).
## Death
Characters will grow old and die. (TODO: Figure out a sensible aging system.) Any cash shop investments must be passed down somehow. Characters can also die in battle, but this should only be possible if their ascendant specifically allows it. Something like 10% is downed, can't be hit below that, and they'll retreat shortly after. The player can interrupt this and tell them to fight on, which opens up the possibility of death.
# Gameplay (crunch)
//Many of these can be left blank for the time being
## General ideas
Really want Wushu builds. TODO: Explain at a meeting
## Combat
PvE focus. Must have co-op. Probably should figure out some sort of drop-in. Not hugely affected by ping (probably rounds-based, orders are given in phase 1 and executed in phase 2).
Hexes strategy game, units have move, attack, rest, maybe 3 abilities (1 racial, 1 class, 1 global).
### PvP differences
Hopefully not
## Progression systems
### Stats and training
Talent/genes determine base stats
All stats can be continuously trained (including in combat/use) at the cost of atrophying other stats, which gets greater the higher the stat is.
Training serves as a multiplier and is effectively the same on all characters.
The level of training required depends on the full value (talent*train).
Skills work the same way, different aspects can be prioritised. Skills can be changed through a fixed training (depends on skill being learned).
### Waifing
Obviously need to be able to gain affection with wives/husbands. Giving gifts of course, doing nice things for them, not doing hurtful things to them.
One of the major moments (effectively putting a ring on them, but in several steps) should be telling them the truth about ascendants. All members of your harem will quickly become aware that you have a human form, but telling them that it's because you are human should be something special. If they don't like you enough when you tell them, they may run away. In the worst-case scenario you may have to kill them to keep the secret. This action should state that's a possible outcome before you start, so you don't take it lightly. (I do, in fact, want the implied knowledge/memory system to be fully-functional.)
### Breeding
Breed your waifus. This is your main objective. Occasionally when you breed you will spawn a new ascendant, in the form of an invite code. This is your grand prize. Waifus should get stronger forever, but tapering off to a cap (asymptote), so later increase is minimal.
## Gameplay systems
### Mood/affection/motivation
Comes under gameplay rather than progression.
Moods: Happy, bored, sad, angry, excited, tired, motivated (need a different name for this). TODO: Need some more. Not sure if hungry and horny are moods.
Characters naturally tend towards their disposition's associated mood. (TODO: write mappings.)
Events and circumstances affect mood. Mood heavily affects speed and accuracy in combat (maybe other things? eg. willingness to follow orders).
### Mentoring
The game is invite-only, however, players can sign up without an invite, which results in an adoption application. Players can choose to look at the adoption pool when they have unused invite codes. Thus, every player (and hence every ascendant) will have a lineage from the first account. Probably the first 10 accounts or so will be premade, could even have different lineages.
### Lineages
Should there be one lineage, from one master account, or multiple, one from each staff member? (Could result in new lineages being added after launch, as new staff join.)
Also lineages should have meaning. Something like as an ascendant powers up, their descendants gain a portion of it. Need to figure this out.
### Map/navigation
TODO: Decide if this should exist (and thus you have to travel around it), and decide if players should be able to travel around in their rooms.
Map preferred infinite, if present; just generates more space as players go further out. Probably have some way of preventing them going too far out in this case, eg. need to buy supplies., so they have to actually build out.
### Economy
A simple trapping for quests; each settlement should actually measure what it can produce based on surrounding area + infrastructure + population (different races have different ability to gather different resources), and quests/missions get generated to deliver goods from each according to his ability to each according to his need. Resource list: Meat, veg, wood, stone, wool, leather, herbs. TODO: Add some more. Probably have an intermediate production list too eg. string, then a usable items list. Probably should have potions too. Maybe mats can randomly be tagged "rare" which allows crafting of rare recipes.
# Art
## General ideas
## References
# Audio/music
## General ideas
Rakkatakkamathafakka
## References
# Game start
A list of all the things related to the start of the game. Probably much of this is duplicated elsewhere, but it's useful to have all in one place too.